﻿
@{
    ViewData["Title"] = "Building";
}

<h1>Building</h1>

<div ng-app="mainApp" ng-controller="buildingController">
    <form name="frm">
        <table class="table" name="tbt">
            <thead>
                <tr>
                    <td>id </td>
                    <td>buildingName</td>
                    <td>direction</td>
                    <td>meter</td>
                    <td>number </td>
                    <td>address </td>
                    <td></td>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat="x in buildings">
                    <td>{{ x.id }}</td>
                    <td>{{ x.buildingName }}</td>
                    <td>{{ x.direction }}</td>
                    <td>{{ x.meter }}</td>
                    <td>{{ x.number }}</td>
                    <td>{{ x.address }}</td>
                    <td>
                        <input type="button" class="btn-primary" value="Delete" ng-click=" delete(x)"/>
                    </td>
                   
                </tr>
                <tr>

                    <td></td>
                    <td>
                        <input type="text" id="buildingName" name="buildingName" ng-model="newObj.buildingName" ng-required="true" />
                        <span ng-if="!frm.buildingName.$valid" class="text-warning">buildingName is required</span>
                    </td>
                    <td>
                        @*<select class="form-control"
                                ng-model="selectedValue"
                                style="width:150px">
                            <option ng-repeat="option in directionList" value="{{option.id}}">{{option.name}}</option>

                        </select>*@
                        <select class="form-control " style="width:150px" ng-model="model.direction" ng-options="o as o.name for o in directionList"></select>

                    </td>
                    <td>
                        <input type="number" id="meter" name="meter" ng-model="newObj.meter" required/>
                        <span ng-if="!frm.meter.$valid" class="text-warning">meter is required</span>
                    </td>
                    <td>
                        <input type="text" id="number" name="number" ng-model="newObj.number" required/>
                        <span ng-if="!frm.number.$valid" class="text-warning">number is required</span>
                    </td>
                    <td>
                        <input type="text" id="address" name="address" ng-model="newObj.address" required/>
                        <span ng-if="!frm.address.$valid" class="text-warning">address is required</span>
                    </td>
                    <td>
                        <input type="button" class="btn-primary" value="Add" ng-click="SaveBuilding()" ng-disabled="!frm.$valid"  />
                    </td>

                </tr>
            </tbody>
        </table>
    </form>
</div>

@section Scripts
{
    <script src="~/js/Controller/Building.js"></script>
}